> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/spark/btkn-tokens/btkn-tokens-by-ids-batch.md).

# BTKN Tokens by IDs (Batch)

This endpoint is used to retrieve the metadata & market data associated with a batch of up to 100 Spark BTKN token, based on their IDs.

## POST /v1/spark/tokens/metadata/batch

> Retrieve metadata for up to 100 tokens at once.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/tokens/metadata/batch":{"post":{"tags":["Spark"],"description":"Retrieve metadata for up to 100 tokens at once.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tokenAddresses":{"description":"List of 66-character hex token addresses.","maxItems":100,"type":"array","items":{"type":"string"}}},"required":["tokenAddresses"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"array","items":{"anyOf":[{"type":"object","properties":{"holderCount":{"type":"number"},"priceUsd":{"type":"number"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},{"type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"iconUrl":{"type":"string"}}}]}},"totalCount":{"type":"number"}},"required":["metadata"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xverse.app/api/spark/btkn-tokens/btkn-tokens-by-ids-batch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
